Split multibyte string using regular expression

- « mb_send_mail

- mb_str_pad »

- PHP Manual
- Multibyte String Functions
- Split multibyte string using regular expression

# mb_split

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

mb_split — Split multibyte string using regular expression

### Description

mb_split(string `$pattern`, string `$string`, int `$limit` = -1): array|false

Split a multibyte `string` using regular expression `pattern` and returns the result as an array.

### Parameters

`pattern`

  The regular expression pattern.

`string`

  The string being split.

`limit`
  If optional parameter `limit` is specified, it will be split in `limit` elements as maximum.

### Return Values

The result as an array, or `false` on failure.

### Notes

> Note:

> The character encoding specified by mb_regex_encoding() will be used as the character encoding for this function by default.

### See Also

- mb_regex_encoding() - Set/Get character encoding for multibyte regex
- mb_ereg() - Regular expression match with multibyte support
- explode() - Split a string by a string